<?php
/*
 * This file contains various common function for the jupload plugin
 */

if (!defined('IN_COPPERMINE')) { die('Not in Coppermine...');}
if (!defined('JUPLOAD_PHP')) { die('Not in Jupload...');}


//This file is included within a function (see codebase.php: jupload_plugin_wakeup)
//So, we need to declare all variables that must be global, as such:
global $USER, $CONFIG, $JUPLOAD_CONFIG, $lang_jupload_php, $bJuploadTranslactionExist, $juploadRootDirectory;
global $userLang, $userLangFile;



$juploadRootDirectory = 'plugins/jupload/';


require($juploadRootDirectory . 'include/config.inc.php');
 

//####################################################################################################
//#################################    FUNCTIONS    ##################################################
//####################################################################################################


//####################################################################################################
//##############################     LOCAL CODE     ##################################################
//####################################################################################################

//Localisation. Handled from specific files, to make upgrade of coppermine easier:
//First: we load the default text (english)
require("$juploadRootDirectory/lang/english.php");

//Then, you overload with the choosen language, for existing translations.
//$bJuploadTranslactionExist is used later, in page_upload.php, to display a message indicating that
//the translation for the current language doesn't exist ... and to give the link to the page where all
//the text to translate is written (part of text is in the applet, not in the php code).

//$CONFIG is not set, when called from ./plugins/jupload/configuration.php
$userLang = (isset($CONFIG)) ? $CONFIG['lang'] : '';
if (isset($USER['lang'])) {
	$userLang = $USER['lang'];
}
$userLangFile = "$juploadRootDirectory/lang/$userLang.php";


$bJuploadTranslactionExist = file_exists($userLangFile);

if ($userLang == 'english'  ||  $userLang == 'english_gb') {
	//We already included (required) the jupload english.php file
	$bJuploadTranslactionExist = true;  //Was not true for english_gb, one line before ...   ;-)
} else if ($bJuploadTranslactionExist) {
    include($userLangFile);
}


//Let's create a 'default' version number, for my internal tests
$JUPLOAD_CONFIG['version']='not packaged'; 
//This internal version number should be replaced by the next line, added during packaging
//Ok, this could be better. But it works, that's a point !    ;-)

$JUPLOAD_CONFIG['version']='2.6.3';

		